import UIKit

public struct DeviceConfiguration
{
    public var name: String?
    public var width: Int
    public var height: Int
    public var density: Float = 1.0 // 1.0 = 1x, 2.0 = 2x, 3.0 = 3x, etc
    
    public var bounds: CGRect
    {
        return CGRect(x: 0, y: 0, width: self.width, height: self.height)
    }
    
    public init(name: String? = nil, width: Int = 380, height: Int = 480, density: Float = 1.0)
    {
        self.name = name ?? "Device \(width)x\(height) @\(Int(density))x"
        self.height = height
        self.width = width
        self.density = density
    }
    
    
}
